Comment 45 for bug 429841

mue.de (emuede) wrote :

At this thread (http://forum.ubuntuusers.de/topic/aktualisierungsverwaltung-zerschossen/) I described the problems i had with an dist-upgrade from kubuntu Hardy Heron 8.04 to Lucid Lynx 10.04.

 dpkg --get-selections flash*
flashplugin-installer install
flashplugin-nonfree deinstall

 sudo apt-get remove --purge flashplugin-nonfree
Die folgenden Pakete werden ENTFERNT:
  flashplugin-nonfree*
0 aktualisiert, 0 neu installiert, 1 zu entfernen und 194 nicht aktualisiert.
1 nicht vollständig installiert oder entfernt.
Nach dieser Operation werden 168kB Plattenplatz freigegeben.
Möchten Sie fortfahren [J/n]? J
dpkg: Fehler beim Bearbeiten von flashplugin-nonfree (--purge):
 Paket ist in einem sehr schlechten inkonsistenten Zustand - Sie sollten
 es erneut installieren, bevor Sie es zu entfernen versuchen.
Fehler traten auf beim Bearbeiten von:
 flashplugin-nonfree
E: Sub-process /usr/bin/dpkg returned an error code (1)
muelux@muelux-LT6cA:~$ sudo apt-get clean
muelux@muelux-LT6cA:~$ dpkg --get-selections|grep -v install
flashplugin-nonfree purge

dpkg - probiere stattdessen Skript aus dem neuen Paket ...
dpkg: Fehler beim Bearbeiten von flashplugin-nonfree_10.0.45.2ubuntu1_i386.deb (--install):
 Es gibt kein Skript in der neuen Version des Paketes - gebe auf

With help from the forum i found the solution from User 'Durcairion' under
http://forum.ubuntuusers.de/topic/paketverwaltung-spinnt-nach-installation-von-/#post-2216112
Ich hatte gestern genau das gleiche Problem ...

Die Lösung: Editiere die Datei /var/lib/dpkg/status und entferne den Abschnitt, welcher zu deinem Paket gehört. Mach dir zur Sicherheit davor mal eine Kopie der /var/lib/dpkg/status File.

sudo cp /var/lib/dpkg/status /var/lib/dpkg/status_old
sudo gedit /var/lib/dpkg/status

Danach noch:

sudo aptitude update
sudo aptitude safe-upgrade

Und schon ging es bei mir wieder ...

So it has been a problem since 2009 ?!

But the dist-upgrade from *u*buntu 8.04 LTS to ubuntu 10.04 LTS is also affected:
http://www.ubuntugeek.com/known-ubuntu-10-04lucid-lynx-issuesbugs-with-workarounds.html